" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %fun% %pi% *
syn keyword tl_keyword contained *args* *args-eff* *args-full* *child-env*
syn keyword tl_keyword contained *compile-opts* *doc-url* *filters* *full-args*
syn keyword tl_keyword contained *gensym-counter* *hash-seed* *lib-version* *listener-auto-compound-p*
syn keyword tl_keyword contained *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p* *listener-pprint-p*
syn keyword tl_keyword contained *listener-sel-inclusive-p* *load-args* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *print-json-format* *random-state* *random-warmup* *read-bad-json*
syn keyword tl_keyword contained *read-unknown-structs* *rec-source-loc* *stddebug* *stderr*
syn keyword tl_keyword contained *stdin* *stdlog* *stdnull* *stdout*
syn keyword tl_keyword contained *struct-clause-expander* *trace-output* *tree-fun-whitelist* *txr-version*
syn keyword tl_keyword contained *unhandled-hook* + - /
syn keyword tl_keyword contained /= : :abandoned :abs
syn keyword tl_keyword contained :addr :all :android :apf
syn keyword tl_keyword contained :append :args :atime :auto
syn keyword tl_keyword contained :awk-again :awk-file :awk-rec :begin
syn keyword tl_keyword contained :begin-file :blksize :blocks :bool
syn keyword tl_keyword contained :byte-oriented :cdigit :chars :cint
syn keyword tl_keyword contained :clean :close :compile :continue
syn keyword tl_keyword contained :counter :cspace :ctime :cword-char
syn keyword tl_keyword contained :cygnal :cygwin :dec :decline
syn keyword tl_keyword contained :delegate :dev :digit :downcase
syn keyword tl_keyword contained :end :end-file :env :eq-based
syn keyword tl_keyword contained :eql-based :equal-based :error :explicit-no
syn keyword tl_keyword contained :fallback :fd :fence :fields
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :frombase64url :fromhtml
syn keyword tl_keyword contained :frompercent :fromurl :fun :function
syn keyword tl_keyword contained :gap :gid :greedy :hex
syn keyword tl_keyword contained :hextoint :inf :inherit :init
syn keyword tl_keyword contained :ino :inp :inputs :instance
syn keyword tl_keyword contained :into :key :let :lfilt
syn keyword tl_keyword contained :lines :linux :list :lists
syn keyword tl_keyword contained :local :longest :macos :macro
syn keyword tl_keyword contained :mandatory :mass-delegate :match :maxgap
syn keyword tl_keyword contained :maxtimes :method :mid :mingap
syn keyword tl_keyword contained :mintimes :mode :mtime :name
syn keyword tl_keyword contained :named :next-spec :nlink :noclose
syn keyword tl_keyword contained :nothrow :oct :ok :openbsd
syn keyword tl_keyword contained :outf :outp :output :owner
syn keyword tl_keyword contained :perms :postfini :postinit :prio
syn keyword tl_keyword contained :rdev :real-time :reflect :repeat-spec
syn keyword tl_keyword contained :resolve :rfilt :set :set-file
syn keyword tl_keyword contained :shortest :size :solaris :solaris10
syn keyword tl_keyword contained :space :standard :static :str
syn keyword tl_keyword contained :string :symacro :symlinks :text
syn keyword tl_keyword contained :times :tlist :to_html :tobase64
syn keyword tl_keyword contained :tobase64url :tofloat :tohtml :tohtml*
syn keyword tl_keyword contained :toint :tonumber :topercent :tourl
syn keyword tl_keyword contained :uid :unknown :upcase :use
syn keyword tl_keyword contained :use-from :use-syms :use-syms-as :userdata
syn keyword tl_keyword contained :var :vars :warn :weak-and
syn keyword tl_keyword contained :weak-keys :weak-or :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos acosh add-suffix
syn keyword tl_keyword contained ado af-inet af-inet6 af-unix
syn keyword tl_keyword contained af-unspec ai-addrconfig ai-all ai-canonname
syn keyword tl_keyword contained ai-numerichost ai-numericserv ai-passive ai-v4mapped
syn keyword tl_keyword contained alet align alignof alist-nremove
syn keyword tl_keyword contained alist-remove all allocate-struct and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* append-each-prod
syn keyword tl_keyword contained append-each-prod* append-match-products append-matches apply
syn keyword tl_keyword contained aret arithp array arraysize
syn keyword tl_keyword contained ash asin asinh assert
syn keyword tl_keyword contained assoc assq assql at-exit-call
syn keyword tl_keyword contained at-exit-do-not-call atan atan2 atanh
syn keyword tl_keyword contained atom awk base-name base64-decode
syn keyword tl_keyword contained base64-decode-buf base64-encode base64-stream-dec base64-stream-enc
syn keyword tl_keyword contained base64url-decode base64url-decode-buf base64url-encode base64url-stream-dec
syn keyword tl_keyword contained base64url-stream-enc bchar be-double be-float
syn keyword tl_keyword contained be-int16 be-int32 be-int64 be-uint16
syn keyword tl_keyword contained be-uint32 be-uint64 bignum-len bignump
syn keyword tl_keyword contained bindable bit bitset blkcnt-t
syn keyword tl_keyword contained blksize-t block block* bool
syn keyword tl_keyword contained boundp bracket break-str brkint
syn keyword tl_keyword contained bs0 bs1 bsdly bstr
syn keyword tl_keyword contained bstr-d bstr-s buf buf-alloc-size
syn keyword tl_keyword contained buf-carray buf-compress buf-d buf-decompress
syn keyword tl_keyword contained buf-get-char buf-get-cptr buf-get-double buf-get-float
syn keyword tl_keyword contained buf-get-i16 buf-get-i32 buf-get-i64 buf-get-i8
syn keyword tl_keyword contained buf-get-int buf-get-long buf-get-short buf-get-u16
syn keyword tl_keyword contained buf-get-u32 buf-get-u64 buf-get-u8 buf-get-uchar
syn keyword tl_keyword contained buf-get-uint buf-get-ulong buf-get-ushort buf-int
syn keyword tl_keyword contained buf-list buf-put-buf buf-put-char buf-put-cptr
syn keyword tl_keyword contained buf-put-double buf-put-float buf-put-i16 buf-put-i32
syn keyword tl_keyword contained buf-put-i64 buf-put-i8 buf-put-int buf-put-long
syn keyword tl_keyword contained buf-put-short buf-put-u16 buf-put-u32 buf-put-u64
syn keyword tl_keyword contained buf-put-u8 buf-put-uchar buf-put-uint buf-put-ulong
syn keyword tl_keyword contained buf-put-ushort buf-set-length buf-str buf-trim
syn keyword tl_keyword contained buf-uint bufp build build-list
syn keyword tl_keyword contained buildn built-in-type-p butlast butlastn
syn keyword tl_keyword contained caaaaar caaaadr caaaar caaadar
syn keyword tl_keyword contained caaaddr caaadr caaar caadaar
syn keyword tl_keyword contained caadadr caadar caaddar caadddr
syn keyword tl_keyword contained caaddr caadr caar cadaaar
syn keyword tl_keyword contained cadaadr cadaar cadadar cadaddr
syn keyword tl_keyword contained cadadr cadar caddaar caddadr
syn keyword tl_keyword contained caddar cadddar caddddr cadddr
syn keyword tl_keyword contained caddr cadr call call-clobber-expander
syn keyword tl_keyword contained call-delete-expander call-finalizers call-super-fun call-super-method
syn keyword tl_keyword contained call-update-expander callf car carray
syn keyword tl_keyword contained carray-blank carray-buf carray-buf-sync carray-cptr
syn keyword tl_keyword contained carray-dup carray-free carray-get carray-getz
syn keyword tl_keyword contained carray-int carray-list carray-own carray-pun
syn keyword tl_keyword contained carray-put carray-putz carray-ref carray-refset
syn keyword tl_keyword contained carray-replace carray-set-length carray-sub carray-type
syn keyword tl_keyword contained carray-uint carray-vec carrayp caseq
syn keyword tl_keyword contained caseq* caseql caseql* casequal
syn keyword tl_keyword contained casequal* cat-files cat-str cat-streams
syn keyword tl_keyword contained cat-vec catch catch* catch**
syn keyword tl_keyword contained catenated-stream-p catenated-stream-push cbaud cbaudex
syn keyword tl_keyword contained cbrt cdaaaar cdaaadr cdaaar
syn keyword tl_keyword contained cdaadar cdaaddr cdaadr cdaar
syn keyword tl_keyword contained cdadaar cdadadr cdadar cdaddar
syn keyword tl_keyword contained cdadddr cdaddr cdadr cdar
syn keyword tl_keyword contained cddaaar cddaadr cddaar cddadar
syn keyword tl_keyword contained cddaddr cddadr cddar cdddaar
syn keyword tl_keyword contained cdddadr cdddar cddddar cdddddr
syn keyword tl_keyword contained cddddr cdddr cddr cdr
syn keyword tl_keyword contained ceil ceil-rem chain chand
syn keyword tl_keyword contained char chdir chmod chmod-rec
syn keyword tl_keyword contained chown chown-rec chr-digit chr-int
syn keyword tl_keyword contained chr-isalnum chr-isalpha chr-isascii chr-isblank
syn keyword tl_keyword contained chr-iscntrl chr-isdigit chr-isgraph chr-islower
syn keyword tl_keyword contained chr-isprint chr-ispunct chr-isspace chr-isunisp
syn keyword tl_keyword contained chr-isupper chr-isxdigit chr-num chr-str
syn keyword tl_keyword contained chr-str-set chr-tolower chr-toupper chr-xdigit
syn keyword tl_keyword contained chrp clamp clean-file clear-dirty
syn keyword tl_keyword contained clear-error clear-mask clear-struct clearhash
syn keyword tl_keyword contained clocal clock-t clockid-t close
syn keyword tl_keyword contained close-lazy-streams close-stream closedir closelog
syn keyword tl_keyword contained closure cmp-str cmspar cnsort
syn keyword tl_keyword contained coded-length collect-each collect-each* collect-each-prod
syn keyword tl_keyword contained collect-each-prod* comb command-get command-get-buf
syn keyword tl_keyword contained command-get-json command-get-jsons command-get-lines command-get-string
syn keyword tl_keyword contained command-put command-put-buf command-put-json command-put-jsons
syn keyword tl_keyword contained command-put-lines command-put-string compare-swap compile
syn keyword tl_keyword contained compile-defr-warning compile-error compile-file compile-only
syn keyword tl_keyword contained compile-toplevel compile-update-file compile-warning compiler-let
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons conses conses* consp
syn keyword tl_keyword contained constantp contain[s] copy copy-alist
syn keyword tl_keyword contained copy-buf copy-carray copy-cons copy-cptr
syn keyword tl_keyword contained copy-file copy-files copy-fun copy-hash
syn keyword tl_keyword contained copy-list copy-path-rec copy-search-tree copy-str
syn keyword tl_keyword contained copy-struct copy-tnode copy-tree copy-tree-iter
syn keyword tl_keyword contained copy-vec copysign cos cosh
syn keyword tl_keyword contained count count-if count-until-match countq
syn keyword tl_keyword contained countql countqual cptr cptr-buf
syn keyword tl_keyword contained cptr-carray cptr-cast cptr-free cptr-get
syn keyword tl_keyword contained cptr-int cptr-null cptr-obj cptr-out
syn keyword tl_keyword contained cptr-size-hint cptr-type cptr-zap cptrp
syn keyword tl_keyword contained cr0 cr1 cr2 cr3
syn keyword tl_keyword contained crc32 crc32-stream crdly cread
syn keyword tl_keyword contained crtscts crypt cs5 cs6
syn keyword tl_keyword contained cs7 cs8 csize csnsort
syn keyword tl_keyword contained csort csort-group cssort cstopb
syn keyword tl_keyword contained cum-norm-dist cxr cyr daemon
syn keyword tl_keyword contained dec defer-warning defex deffi
syn keyword tl_keyword contained deffi-cb deffi-cb-unsafe deffi-struct deffi-sym
syn keyword tl_keyword contained deffi-type deffi-union deffi-var define-accessor
syn keyword tl_keyword contained define-modify-macro define-option-struct define-param-expander define-place-macro
syn keyword tl_keyword contained define-struct-clause define-struct-prelude defmacro defmatch
syn keyword tl_keyword contained defmeth defpackage defparm defparml
syn keyword tl_keyword contained defplace defset defstruct defsymacro
syn keyword tl_keyword contained defun defun-match defvar defvarl
syn keyword tl_keyword contained del delay delcons delete-package
syn keyword tl_keyword contained dev-t diff digits digpow
syn keyword tl_keyword contained dir-name dirstat disassemble display-width
syn keyword tl_keyword contained divides dlclose dlopen dlsym
syn keyword tl_keyword contained dlsym-checked dlvsym dlvsym-checked do
syn keyword tl_keyword contained doc dohash doloop doloop*
syn keyword tl_keyword contained dotimes double downcase-str drem
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-false each-match each-match-product each-prod
syn keyword tl_keyword contained each-prod* each-true eaddrinuse eaddrnotavail
syn keyword tl_keyword contained eafnosupport eagain ealready ebadf
syn keyword tl_keyword contained ebadmsg ebusy ecanceled ecaseq
syn keyword tl_keyword contained ecaseq* ecaseql ecaseql* ecasequal
syn keyword tl_keyword contained ecasequal* echild echo echoctl
syn keyword tl_keyword contained echoe echok echoke echonl
syn keyword tl_keyword contained echoprt econnaborted econnrefused econnreset
syn keyword tl_keyword contained edeadlk edestaddrreq edom edquot
syn keyword tl_keyword contained eexist efault efbig ehostunreach
syn keyword tl_keyword contained eidrm eighth eilseq einprogress
syn keyword tl_keyword contained eintr einval eio eisconn
syn keyword tl_keyword contained eisdir elemsize elemtype eloop
syn keyword tl_keyword contained emfile emlink empty emsgsize
syn keyword tl_keyword contained emultihop enametoolong endgrent endp
syn keyword tl_keyword contained endpwent ends-with enetdown enetreset
syn keyword tl_keyword contained enetunreach enfile enobufs enodata
syn keyword tl_keyword contained enodev enoent enoexec enolck
syn keyword tl_keyword contained enolink enomem enomsg enoprotoopt
syn keyword tl_keyword contained enospc enosr enostr enosys
syn keyword tl_keyword contained enotconn enotdir enotempty enotrecoverable
syn keyword tl_keyword contained enotsock enotsup enotty ensure
syn keyword tl_keyword contained ensure-dir enum enumed env
syn keyword tl_keyword contained env-fbind env-fbindings env-hash env-next
syn keyword tl_keyword contained env-vbind env-vbindings enxio eopnotsupp
syn keyword tl_keyword contained eoverflow eownerdead eperm epipe
syn keyword tl_keyword contained eproto eprotonosupport eprototype eq
syn keyword tl_keyword contained eql equal equot erange
syn keyword tl_keyword contained erf erfc erofs errno
syn keyword tl_keyword contained error espipe esrch estale
syn keyword tl_keyword contained etime etimedout etxtbsy etypecase
syn keyword tl_keyword contained eval eval-only evenp ewouldblock
syn keyword tl_keyword contained exception-subtype-map exception-subtype-p exdev exec
syn keyword tl_keyword contained exit exit* exp exp10
syn keyword tl_keyword contained exp2 expand expand* expand-left
syn keyword tl_keyword contained expand-right expand-with-free-refs expander-let expm1
syn keyword tl_keyword contained expt exptmod extproc f$
syn keyword tl_keyword contained f-dupfd f-dupfd-cloexec f-getfd f-getfl
syn keyword tl_keyword contained f-getlk f-rdlck f-setfd f-setfl
syn keyword tl_keyword contained f-setlk f-setlkw f-unlck f-wrlck
syn keyword tl_keyword contained f^ f^$ false fboundp
syn keyword tl_keyword contained fcntl fd-cloexec fdim ff0
syn keyword tl_keyword contained ff1 ffdly ffi ffi-alignof
syn keyword tl_keyword contained ffi-arraysize ffi-call ffi-elemsize ffi-elemtype
syn keyword tl_keyword contained ffi-get ffi-in ffi-make-call-desc ffi-make-closure
syn keyword tl_keyword contained ffi-offsetof ffi-out ffi-put ffi-put-into
syn keyword tl_keyword contained ffi-size ffi-type-compile ffi-type-operator-p ffi-type-p
syn keyword tl_keyword contained ffi-typedef fifth file-append file-append-buf
syn keyword tl_keyword contained file-append-json file-append-jsons file-append-lines file-append-string
syn keyword tl_keyword contained file-get file-get-buf file-get-json file-get-jsons
syn keyword tl_keyword contained file-get-lines file-get-string file-place-buf file-put
syn keyword tl_keyword contained file-put-buf file-put-json file-put-jsons file-put-lines
syn keyword tl_keyword contained file-put-string fileno fill-buf fill-buf-adjust
syn keyword tl_keyword contained fill-carray fill-obj fill-vec filter-equal
syn keyword tl_keyword contained filter-string-tree finalize find find-frame
syn keyword tl_keyword contained find-frames find-frames-by-mask find-if find-max
syn keyword tl_keyword contained find-max-key find-min find-min-key find-package
syn keyword tl_keyword contained find-struct-type find-symbol find-symbol-fb find-true
syn keyword tl_keyword contained first fixnum-max fixnum-min fixnump
syn keyword tl_keyword contained flatcar flatcar* flatten flatten*
syn keyword tl_keyword contained flet flip flipargs flo-dig
syn keyword tl_keyword contained flo-down flo-epsilon flo-get-round-mode flo-int
syn keyword tl_keyword contained flo-max flo-max-dig flo-min flo-near
syn keyword tl_keyword contained flo-set-round-mode flo-str flo-up flo-zero
syn keyword tl_keyword contained float floatp floor floor-rem
syn keyword tl_keyword contained flow flush-stream flusho fmakunbound
syn keyword tl_keyword contained fmax fmin fmt fnm-casefold
syn keyword tl_keyword contained fnm-extmatch fnm-leading-dir fnm-noescape fnm-pathname
syn keyword tl_keyword contained fnm-period fnmatch for for*
syn keyword tl_keyword contained force force-break fork format
syn keyword tl_keyword contained fourth fr$ fr^ fr^$
syn keyword tl_keyword contained from frr fsblkcnt-t fsfilcnt-t
syn keyword tl_keyword contained fstat ftw ftw-actionretval ftw-chdir
syn keyword tl_keyword contained ftw-continue ftw-d ftw-depth ftw-dnr
syn keyword tl_keyword contained ftw-dp ftw-f ftw-mount ftw-ns
syn keyword tl_keyword contained ftw-phys ftw-skip-siblings ftw-skip-subtree ftw-sl
syn keyword tl_keyword contained ftw-sln ftw-stop fun fun-fixparam-count
syn keyword tl_keyword contained fun-optparam-count fun-variadic func-get-env func-get-form
syn keyword tl_keyword contained func-get-name func-set-env functionp gamma
syn keyword tl_keyword contained gcd gen gen-hash-seed generate
syn keyword tl_keyword contained gensym gequal get-buf-from-stream get-byte
syn keyword tl_keyword contained get-char get-clobber-expander get-delete-expander get-error
syn keyword tl_keyword contained get-error-str get-frames get-hash-userdata get-indent
syn keyword tl_keyword contained get-indent-mode get-json get-jsons get-line
syn keyword tl_keyword contained get-line-as-buf get-lines get-list-from-stream get-obj
syn keyword tl_keyword contained get-sig-handler get-stack-limit get-string get-string-from-stream
syn keyword tl_keyword contained get-update-expander getaddrinfo getegid getenv
syn keyword tl_keyword contained geteuid getgid getgrent getgrgid
syn keyword tl_keyword contained getgrnam getgroups gethash getitimer
syn keyword tl_keyword contained getopts getpid getppid getpwent
syn keyword tl_keyword contained getpwnam getpwuid getresgid getresuid
syn keyword tl_keyword contained getrlimit getuid gid-t ginterate
syn keyword tl_keyword contained giterate glob glob* glob-altdirfunc
syn keyword tl_keyword contained glob-brace glob-err glob-mark glob-nocheck
syn keyword tl_keyword contained glob-noescape glob-nomagic glob-nosort glob-onlydir
syn keyword tl_keyword contained glob-period glob-tilde glob-tilde-check glob-xnobrace
syn keyword tl_keyword contained go grade greater group-by
syn keyword tl_keyword contained group-map group-reduce gun handle
syn keyword tl_keyword contained handle* handler-bind hash hash-alist
syn keyword tl_keyword contained hash-begin hash-construct hash-count hash-diff
syn keyword tl_keyword contained hash-eql hash-equal hash-from-alist hash-from-pairs
syn keyword tl_keyword contained hash-invert hash-isec hash-keys hash-keys-of
syn keyword tl_keyword contained hash-list hash-map hash-next hash-pairs
syn keyword tl_keyword contained hash-peek hash-proper-subset hash-props hash-reset
syn keyword tl_keyword contained hash-revget hash-subset hash-symdiff hash-uni
syn keyword tl_keyword contained hash-update hash-update-1 hash-userdata hash-values
syn keyword tl_keyword contained hash-zip hashp have hist-sort
syn keyword tl_keyword contained hlet hlet* html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl hypot iapply
syn keyword tl_keyword contained icanon icrnl id-t identity
syn keyword tl_keyword contained identity* ido iexten if
syn keyword tl_keyword contained if-match ifa iff iffi
syn keyword tl_keyword contained iflet ignbrk igncr ignerr
syn keyword tl_keyword contained ignore ignpar ignwarn imaxbel
syn keyword tl_keyword contained improper-plist-to-alist in in-package in-range
syn keyword tl_keyword contained in-range* in6addr-any in6addr-loopback in6addr-str
syn keyword tl_keyword contained inaddr-any inaddr-loopback inaddr-str inc
syn keyword tl_keyword contained inc-indent inc-indent-abs indent-code indent-data
syn keyword tl_keyword contained indent-foff indent-off inhash inlcr
syn keyword tl_keyword contained ino-t inpck int int-buf
syn keyword tl_keyword contained int-carray int-chr int-cptr int-flo
syn keyword tl_keyword contained int-ptr-t int-str int16 int32
syn keyword tl_keyword contained int64 int8 integerp intern
syn keyword tl_keyword contained intern-fb interp-fun-p interpose intmax-t
syn keyword tl_keyword contained inv-cum-norm invoke-catch ip ipf
syn keyword tl_keyword contained ipproto-ip ipproto-ipv6 ipproto-tcp ipproto-udp
syn keyword tl_keyword contained ipv6-join-group ipv6-leave-group ipv6-multicast-hops ipv6-multicast-if
syn keyword tl_keyword contained ipv6-multicast-loop ipv6-unicast-hops ipv6-v6only iread
syn keyword tl_keyword contained isatty isec isecp isig
syn keyword tl_keyword contained isqrt istrip iter-begin iter-item
syn keyword tl_keyword contained iter-more iter-reset iter-step iterable
syn keyword tl_keyword contained itimer-prof itimer-real itimer-virtual iuclc
syn keyword tl_keyword contained iutf8 ixany ixoff ixon
syn keyword tl_keyword contained j0 j1 jmp-buf jn
syn keyword tl_keyword contained join join-with json juxt
syn keyword tl_keyword contained keep-if keep-if* keep-keys-if keep-match-products
syn keyword tl_keyword contained keep-matches keepq keepql keepqual
syn keyword tl_keyword contained key key-t keyword-package keywordp
syn keyword tl_keyword contained kill labels lambda lambda-match
syn keyword tl_keyword contained last lazy-str lazy-str-force lazy-str-force-upto
syn keyword tl_keyword contained lazy-str-get-trailing-list lazy-stream-cons lazy-stringp lchown
syn keyword tl_keyword contained lcm lcons lcons-car lcons-cdr
syn keyword tl_keyword contained lcons-fun lconsp ldexp ldiff
syn keyword tl_keyword contained ldo le-double le-float le-int16
syn keyword tl_keyword contained le-int32 le-int64 le-uint16 le-uint32
syn keyword tl_keyword contained le-uint64 left len length
syn keyword tl_keyword contained length-< length-buf length-carray length-list
syn keyword tl_keyword contained length-list-< length-str length-str-< length-str-<=
syn keyword tl_keyword contained length-str-> length-str->= length-vec lequal
syn keyword tl_keyword contained less let let* lexical-binding-kind
syn keyword tl_keyword contained lexical-fun-binding-kind lexical-fun-p lexical-lisp1-binding lexical-macro-p
syn keyword tl_keyword contained lexical-symacro-p lexical-var-p lflow lgamma
syn keyword tl_keyword contained lib-version link lisp-parse list
syn keyword tl_keyword contained list* list-carray list-seq list-str
syn keyword tl_keyword contained list-vec list-vector listp lnew
syn keyword tl_keyword contained lnew* load load-args-process load-args-recurse
syn keyword tl_keyword contained load-for load-time loand loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log1p log2 logand logb
syn keyword tl_keyword contained logcount logior lognot logtest
syn keyword tl_keyword contained logtrunc logxor long long-suffix
syn keyword tl_keyword contained longjmp longlong lop lopf
syn keyword tl_keyword contained lopip lset lstat lutimes
syn keyword tl_keyword contained m$ m^ m^$ mac-env-param-bind
syn keyword tl_keyword contained mac-param-bind macro-ancestor macro-form-p macro-time
syn keyword tl_keyword contained macroexpand macroexpand-1 macroexpand-1-lisp1 macroexpand-1-place
syn keyword tl_keyword contained macroexpand-lisp1 macroexpand-match macroexpand-params macroexpand-place
syn keyword tl_keyword contained macroexpand-struct-clause macrolet madv-dodump madv-dofork
syn keyword tl_keyword contained madv-dontdump madv-dontfork madv-dontneed madv-free
syn keyword tl_keyword contained madv-hugepage madv-hwpoison madv-keeponfork madv-mergeable
syn keyword tl_keyword contained madv-nohugepage madv-normal madv-random madv-remove
syn keyword tl_keyword contained madv-sequential madv-unmergeable madv-willneed madv-wipeonfork
syn keyword tl_keyword contained madvise major make-buf make-buf-stream
syn keyword tl_keyword contained make-byte-input-stream make-catenated-stream make-env make-hash
syn keyword tl_keyword contained make-lazy-cons make-lazy-struct make-like make-package
syn keyword tl_keyword contained make-random-state make-similar-hash make-similar-tree make-string-byte-input-stream
syn keyword tl_keyword contained make-string-input-stream make-string-output-stream make-strlist-input-stream make-strlist-output-stream
syn keyword tl_keyword contained make-struct make-struct-delegate-stream make-struct-type make-sym
syn keyword tl_keyword contained make-time make-time-utc make-trie make-union
syn keyword tl_keyword contained make-zstruct makedev makunbound map-anon
syn keyword tl_keyword contained map-fixed map-growsdown map-huge-mask map-huge-shift
syn keyword tl_keyword contained map-hugetlb map-locked map-nonblock map-noreserve
syn keyword tl_keyword contained map-populate map-private map-shared map-stack
syn keyword tl_keyword contained mapcar mapcar* mapdo mapf
syn keyword tl_keyword contained maphash mappend mappend* maprend
syn keyword tl_keyword contained maprod maprodo mask match
syn keyword tl_keyword contained match-case match-cond match-ecase match-error
syn keyword tl_keyword contained match-fboundp match-fun match-regex match-regex-right
syn keyword tl_keyword contained match-regst match-regst-right match-str match-str-tree
syn keyword tl_keyword contained max mboundp md5 md5-begin
syn keyword tl_keyword contained md5-end md5-hash md5-stream member
syn keyword tl_keyword contained member-if memp memq memql
syn keyword tl_keyword contained memqual meq meql mequal
syn keyword tl_keyword contained merge merge-delete-package meth method
syn keyword tl_keyword contained min minor minusp mismatch
syn keyword tl_keyword contained mkdir mkdtemp mkfifo mknod
syn keyword tl_keyword contained mkstemp mkstring mlet mmakunbound
syn keyword tl_keyword contained mmap mod mode-t mprotect
syn keyword tl_keyword contained mref ms-async ms-invalidate ms-sync
syn keyword tl_keyword contained msync mul-each mul-each* mul-each-prod
syn keyword tl_keyword contained mul-each-prod* multi multi-sort munmap
syn keyword tl_keyword contained n-choose-k n-perm-k nand nandf
syn keyword tl_keyword contained nconc nearbyint neg neq
syn keyword tl_keyword contained neql nequal nested-vec nested-vec-of
syn keyword tl_keyword contained new new* nexpand-left nextafter
syn keyword tl_keyword contained nil nilf ninth nl0
syn keyword tl_keyword contained nl1 nldly nlink-t noflsh
syn keyword tl_keyword contained none nor norf not
syn keyword tl_keyword contained notf nreconc nreverse nrot
syn keyword tl_keyword contained nshuffle nsort nth nthcdr
syn keyword tl_keyword contained nthlast null nullify num-chr
syn keyword tl_keyword contained num-str numberp nzerop o-accmode
syn keyword tl_keyword contained o-append o-async o-cloexec o-creat
syn keyword tl_keyword contained o-direct o-directory o-noatime o-noctty
syn keyword tl_keyword contained o-nofollow o-nonblock o-path o-rdonly
syn keyword tl_keyword contained o-rdwr o-sync o-trunc o-wronly
syn keyword tl_keyword contained oand obtain obtain* obtain*-block
syn keyword tl_keyword contained obtain-block ocrnl oddp ofdel
syn keyword tl_keyword contained off-t offsetof ofill olcuc
syn keyword tl_keyword contained onlcr onlret onocr op
syn keyword tl_keyword contained open-command open-directory open-file open-fileno
syn keyword tl_keyword contained open-files open-files* open-pipe open-process
syn keyword tl_keyword contained open-socket open-socket-pair open-subprocess open-tail
syn keyword tl_keyword contained opendir openlog opf opip
syn keyword tl_keyword contained opost opt opthelp opthelp-conventions
syn keyword tl_keyword contained opthelp-types or orf pack
syn keyword tl_keyword contained package-alist package-fallback-list package-foreign-symbols package-local-symbols
syn keyword tl_keyword contained package-name package-symbols packagep pad
syn keyword tl_keyword contained page-size pairlis parenb parmrk
syn keyword tl_keyword contained parodd parse-errors partition partition*
syn keyword tl_keyword contained partition-by partition-if path-blkdev-p path-cat
syn keyword tl_keyword contained path-chrdev-p path-components-safe path-dir-empty path-dir-p
syn keyword tl_keyword contained path-equal path-executable-to-me-p path-exists-p path-file-p
syn keyword tl_keyword contained path-mine-p path-my-group-p path-newer path-older
syn keyword tl_keyword contained path-pipe-p path-private-to-me-p path-read-writable-to-me-p path-readable-to-me-p
syn keyword tl_keyword contained path-safe-sticky-dir path-same-object path-search path-sep-chars
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pdec
syn keyword tl_keyword contained pendin perm pic pid-t
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained poly pop pop-after-load portable-abs-path-p
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prod
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained prog2 progn progv promisep
syn keyword tl_keyword contained prop proper-list-p proper-listp prot-exec
syn keyword tl_keyword contained prot-growsdown prot-growsup prot-none prot-read
syn keyword tl_keyword contained prot-write pset ptr ptr-in
syn keyword tl_keyword contained ptr-in-d ptr-out ptr-out-d ptr-out-s
syn keyword tl_keyword contained ptrdiff-t pub:txr-sym pure-rel-path-p purge-deferred-warning
syn keyword tl_keyword contained push push-after-load pushhash pushnew
syn keyword tl_keyword contained put-buf put-byte put-carray put-char
syn keyword tl_keyword contained put-json put-jsonl put-jsons put-line
syn keyword tl_keyword contained put-lines put-obj put-string put-strings
syn keyword tl_keyword contained pwd qquote qref quantile
syn keyword tl_keyword contained quip quote r$ r^
syn keyword tl_keyword contained r^$ raise rand random
syn keyword tl_keyword contained random-buf random-fixnum random-float random-float-incl
syn keyword tl_keyword contained random-sample random-state-get-vec random-state-p range
syn keyword tl_keyword contained range* range-regex rangep rassoc
syn keyword tl_keyword contained rassq rassql rcomb rcons
syn keyword tl_keyword contained read read-once read-until-match readdir
syn keyword tl_keyword contained readlink real-time-stream-p realpath record-adapter
syn keyword tl_keyword contained reduce-left reduce-right ref refset
syn keyword tl_keyword contained regex-compile regex-from-trie regex-optimize regex-parse
syn keyword tl_keyword contained regex-prefix-match regex-source regexp register-exception-subtypes
syn keyword tl_keyword contained register-tentative-def regsub rehome-sym reject
syn keyword tl_keyword contained rel-path relate release-deferred-warnings remainder
syn keyword tl_keyword contained remhash remove-if remove-if* remove-path
syn keyword tl_keyword contained remove-path-rec remq remq* remql
syn keyword tl_keyword contained remql* remqual remqual* rename-path
syn keyword tl_keyword contained repeat replace replace-buf replace-env
syn keyword tl_keyword contained replace-list replace-str replace-struct replace-tree-iter
syn keyword tl_keyword contained replace-vec reset-struct rest ret
syn keyword tl_keyword contained retf return return* return-from
syn keyword tl_keyword contained revappend reverse rfind rfind-if
syn keyword tl_keyword contained right rint rlcp rlcp-tree
syn keyword tl_keyword contained rlet rlim-infinity rlim-saved-cur rlim-saved-max
syn keyword tl_keyword contained rlimit-as rlimit-core rlimit-cpu rlimit-data
syn keyword tl_keyword contained rlimit-fsize rlimit-nofile rlimit-stack rlink
syn keyword tl_keyword contained rlist rlist* rmdir rmember
syn keyword tl_keyword contained rmember-if rmemq rmemql rmemqual
syn keyword tl_keyword contained rmismatch rot rotate round
syn keyword tl_keyword contained round-rem rperm rplaca rplacd
syn keyword tl_keyword contained rpoly rpos rpos-if rposq
syn keyword tl_keyword contained rposql rposqual rr rra
syn keyword tl_keyword contained rsearch rslot rtld-deepbind rtld-global
syn keyword tl_keyword contained rtld-lazy rtld-local rtld-nodelete rtld-noload
syn keyword tl_keyword contained rtld-now run s-ifblk s-ifchr
syn keyword tl_keyword contained s-ifdir s-ififo s-iflnk s-ifmt
syn keyword tl_keyword contained s-ifreg s-ifsock s-irgrp s-iroth
syn keyword tl_keyword contained s-irusr s-irwxg s-irwxo s-irwxu
syn keyword tl_keyword contained s-isgid s-isuid s-isvtx s-iwgrp
syn keyword tl_keyword contained s-iwoth s-iwusr s-ixgrp s-ixoth
syn keyword tl_keyword contained s-ixusr save-exe sbit scalb
syn keyword tl_keyword contained scalbln scan-until-match search search-all
syn keyword tl_keyword contained search-regex search-regst search-str search-str-tree
syn keyword tl_keyword contained second seek-cur seek-end seek-set
syn keyword tl_keyword contained seek-stream select self-load-path self-path
syn keyword tl_keyword contained separate separate-keys seq-begin seq-next
syn keyword tl_keyword contained seq-reset seqp set set-diff
syn keyword tl_keyword contained set-hash-userdata set-indent set-indent-mode set-key
syn keyword tl_keyword contained set-left set-mask set-max-depth set-max-length
syn keyword tl_keyword contained set-package-fallback-list set-right set-sig-handler set-stack-limit
syn keyword tl_keyword contained setegid setenv seteuid setgid
syn keyword tl_keyword contained setgrent setgroups sethash setitimer
syn keyword tl_keyword contained setjmp setlogmask setpwent setresgid
syn keyword tl_keyword contained setresuid setrlimit setuid seventh
syn keyword tl_keyword contained sh sh-esc sh-esc-all sh-esc-dq
syn keyword tl_keyword contained sh-esc-sq sha1 sha1-begin sha1-end
syn keyword tl_keyword contained sha1-hash sha1-stream sha256 sha256-begin
syn keyword tl_keyword contained sha256-end sha256-hash sha256-stream shift
syn keyword tl_keyword contained short short-suffix shuffle shut-rd
syn keyword tl_keyword contained shut-rdwr shut-wr sig-abrt sig-alrm
syn keyword tl_keyword contained sig-atomic-t sig-bus sig-check sig-chld
syn keyword tl_keyword contained sig-cont sig-fpe sig-hup sig-ill
syn keyword tl_keyword contained sig-int sig-io sig-iot sig-kill
syn keyword tl_keyword contained sig-pipe sig-poll sig-prof sig-pwr
syn keyword tl_keyword contained sig-quit sig-segv sig-stkflt sig-stop
syn keyword tl_keyword contained sig-sys sig-term sig-trap sig-tstp
syn keyword tl_keyword contained sig-ttin sig-ttou sig-urg sig-usr1
syn keyword tl_keyword contained sig-usr2 sig-vtalrm sig-winch sig-xcpu
syn keyword tl_keyword contained sig-xfsz sign-extend significand signum
syn keyword tl_keyword contained sin sinh sixth size-t
syn keyword tl_keyword contained size-vec sizeof slet slot
syn keyword tl_keyword contained slotp slots slotset snsort
syn keyword tl_keyword contained so-acceptconn so-broadcast so-debug so-dontroute
syn keyword tl_keyword contained so-error so-keepalive so-linger so-oobinline
syn keyword tl_keyword contained so-rcvbuf so-rcvlowat so-rcvtimeo so-reuseaddr
syn keyword tl_keyword contained so-sndbuf so-sndlowat so-sndtimeo so-type
syn keyword tl_keyword contained sock-accept sock-bind sock-cloexec sock-connect
syn keyword tl_keyword contained sock-dgram sock-family sock-listen sock-nonblock
syn keyword tl_keyword contained sock-opt sock-peer sock-recv-timeout sock-send-timeout
syn keyword tl_keyword contained sock-set-opt sock-set-peer sock-shutdown sock-stream
syn keyword tl_keyword contained sock-type sockaddr-str socklen-t sol-socket
syn keyword tl_keyword contained some some-false some-true sort
syn keyword tl_keyword contained sort-group source-loc source-loc-str span-str
syn keyword tl_keyword contained special-operator-p special-var-p spl splice
syn keyword tl_keyword contained split split* split-str split-str-set
syn keyword tl_keyword contained spln sqrt square ssize-t
syn keyword tl_keyword contained ssort sspl sssucc ssucc
syn keyword tl_keyword contained starts-with stat static-slot static-slot-ensure
syn keyword tl_keyword contained static-slot-home static-slot-p static-slot-set stdlib
syn keyword tl_keyword contained str str-buf str-d str-esc
syn keyword tl_keyword contained str-in6addr str-in6addr-net str-inaddr str-inaddr-net
syn keyword tl_keyword contained str-s str-seq str< str<=
syn keyword tl_keyword contained str= str> str>= stream-get-prop
syn keyword tl_keyword contained stream-set-prop streamp strerror string-extend
syn keyword tl_keyword contained string-finish string-get-code string-lt string-set-code
syn keyword tl_keyword contained stringp strsignal struct struct-from-args
syn keyword tl_keyword contained struct-from-plist struct-get-initfun struct-get-postinitfun struct-set-initfun
syn keyword tl_keyword contained struct-set-postinitfun struct-type struct-type-name struct-type-p
syn keyword tl_keyword contained structp sub sub-buf sub-list
syn keyword tl_keyword contained sub-str sub-tree sub-vec subq
syn keyword tl_keyword contained subql subqual subst subtypep
syn keyword tl_keyword contained succ sum sum-each sum-each*
syn keyword tl_keyword contained sum-each-prod sum-each-prod* super super-method
syn keyword tl_keyword contained suspend swap symacrolet symbol-function
syn keyword tl_keyword contained symbol-macro symbol-name symbol-package symbol-value
syn keyword tl_keyword contained symbolp symdiff symlink sys:%backpatch-high16%
syn keyword tl_keyword contained sys:%backpatch-low16% sys:%big-endian% sys:%bin-op% sys:%bin-ops%
syn keyword tl_keyword contained sys:%block-using-funs% sys:%call-op% sys:%const-foldable% sys:%const-foldable-funs%
syn keyword tl_keyword contained sys:%dbg-command-env% sys:%dbg-commands% sys:%effect-free% sys:%effect-free-funs%
syn keyword tl_keyword contained sys:%eval-cache% sys:%functional% sys:%functional-funs% sys:%gcall-op%
syn keyword tl_keyword contained sys:%lev-bits% sys:%lev-size% sys:%max-lambda-fixed-args% sys:%max-lev%
syn keyword tl_keyword contained sys:%max-lev-idx% sys:%max-sm-lev% sys:%max-sm-lev-idx% sys:%max-v-lev%
syn keyword tl_keyword contained sys:%nary-ops% sys:%oc-code% sys:%oc-hash% sys:%oc-list-builder%
syn keyword tl_keyword contained sys:%package-manip% sys:%param-info% sys:%quip-rand-state% sys:%quips%
syn keyword tl_keyword contained sys:%shuffled-quips% sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs%
syn keyword tl_keyword contained sys:%test-funs-neg% sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv%
syn keyword tl_keyword contained sys:%test-opcode% sys:%tlo-ver% sys:%warning-syms% sys:*dedup*
syn keyword tl_keyword contained sys:*emit* sys:*eval* sys:*in-compilation-unit* sys:*lazy-streams*
syn keyword tl_keyword contained sys:*load-recursive* sys:*load-time* sys:*match-form* sys:*op-ctx*
syn keyword tl_keyword contained sys:*pl-env* sys:*pl-form* sys:*struct-prelude* sys:*struct-prelude-alists*
syn keyword tl_keyword contained sys:*top-level* sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls*
syn keyword tl_keyword contained sys:abscond* sys:abscond-from sys:add-neg-parens sys:analyze-argtypes
syn keyword tl_keyword contained sys:analyze-params sys:apply sys:arith-each sys:asm-error
syn keyword tl_keyword contained sys:assumed-fun sys:autoload-try-fun sys:awk%--rng sys:awk%--rng+
syn keyword tl_keyword contained sys:awk%--rng- sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check
syn keyword tl_keyword contained sys:awk-error sys:awk-expander sys:awk-field-name-code sys:awk-fun-let
syn keyword tl_keyword contained sys:awk-fun-shadowing-env sys:awk-mac-let sys:awk-mac-let-outer sys:awk-redir
syn keyword tl_keyword contained sys:awk-symac-let sys:awk-test sys:b* sys:b+
syn keyword tl_keyword contained sys:b- sys:b/ sys:b< sys:b<=
syn keyword tl_keyword contained sys:b= sys:b=> sys:b> sys:bad-slot-syntax
syn keyword tl_keyword contained sys:bexp-expand sys:bexp-parse sys:bexp-parse-brace sys:bind-mac-check
syn keyword tl_keyword contained sys:bind-mac-error sys:bindable-check sys:bits sys:bits-to-obj
syn keyword tl_keyword contained sys:blk sys:brace-expand sys:build-expander sys:cached-sort-body
syn keyword tl_keyword contained sys:capture-cont sys:careful-subst-preserve sys:catch sys:check
syn keyword tl_keyword contained sys:check-end sys:check-slot sys:check-struct sys:check-sym
syn keyword tl_keyword contained sys:circref sys:comma-positions sys:compat sys:compile-and-match
syn keyword tl_keyword contained sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match
syn keyword tl_keyword contained sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match sys:compile-match
syn keyword tl_keyword contained sys:compile-new-var-match sys:compile-not-match sys:compile-or-match sys:compile-predicate-match
syn keyword tl_keyword contained sys:compile-range-match sys:compile-require-match sys:compile-scan-match sys:compile-struct-match
syn keyword tl_keyword contained sys:compile-var-match sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-expand-sym sys:conv-let
syn keyword tl_keyword contained sys:ctx-form sys:ctx-name sys:dbg-all sys:dbg-backtrace
syn keyword tl_keyword contained sys:dbg-clear sys:dbg-enable sys:dbg-restore sys:dbg-set
syn keyword tl_keyword contained sys:dbg-step sys:debugger sys:debugger-help sys:dedup
syn keyword tl_keyword contained sys:dedup-labels sys:deffi-cb-expander sys:define-method sys:defset-expander
syn keyword tl_keyword contained sys:defset-expander-simple sys:detached-run sys:dig sys:disassemble-cdf
syn keyword tl_keyword contained sys:dlib-expr sys:do-conv sys:do-copy-obj sys:do-path-test
syn keyword tl_keyword contained sys:do-tweak-obj sys:dump-to-tlo sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:dyn-size sys:each-match-expander sys:each-op
syn keyword tl_keyword contained sys:early-peephole sys:enc-small-op sys:ensure-op-arg sys:env-to-let
syn keyword tl_keyword contained sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err
syn keyword tl_keyword contained sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-each-prod sys:expand-each-prod*
syn keyword tl_keyword contained sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens sys:expand-param-macro
syn keyword tl_keyword contained sys:expand-params sys:expand-pic sys:expand-pic-align sys:expand-pic-num
syn keyword tl_keyword contained sys:expand-pic-num-commas sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match
syn keyword tl_keyword contained sys:expand-quasi-mods sys:expand-sym-ref sys:expr sys:fbind
syn keyword tl_keyword contained sys:find-parent sys:fixed-point sys:flatten-or sys:fmt-flex
syn keyword tl_keyword contained sys:fmt-join sys:fmt-simple sys:for-op sys:gc
syn keyword tl_keyword contained sys:gc-set-delta sys:get-buf-common sys:get-fun-getter-setter sys:get-mb
syn keyword tl_keyword contained sys:get-param-info sys:get-place-macro sys:get-var-list sys:get-vars
syn keyword tl_keyword contained sys:get-vb sys:getopts-error sys:glob-xstar sys:handle-bad-syntax
syn keyword tl_keyword contained sys:handle-mutated-var-args sys:hlet-expand sys:if-to-cond sys:ign-notfound
syn keyword tl_keyword contained sys:in6addr-condensed-text sys:insert-commas sys:is-label sys:l1-setq
syn keyword tl_keyword contained sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list sys:lambda-short-apply-list
syn keyword tl_keyword contained sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind sys:lisp1-setq
syn keyword tl_keyword contained sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit
syn keyword tl_keyword contained sys:loc sys:loosen sys:mac-env-flatten sys:make-anon-package
syn keyword tl_keyword contained sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit sys:make-struct-type
syn keyword tl_keyword contained sys:mark-special sys:match-case-to-casequal sys:match-pat-error sys:maybe-mov
syn keyword tl_keyword contained sys:meth-lambda sys:misleading-ref-check sys:name-str sys:new-expander
syn keyword tl_keyword contained sys:new-type sys:no-dvbind-eval sys:non-triv-pat-p sys:null-reg
syn keyword tl_keyword contained sys:obtain-impl sys:op-alpha-rename sys:op-ensure-rec sys:op-expand
syn keyword tl_keyword contained sys:op-meta-p sys:op-rec-p sys:open-compile-streams sys:open-url
syn keyword tl_keyword contained sys:operand-to-exp sys:operand-to-sym sys:opip-expand sys:opip-let-p
syn keyword tl_keyword contained sys:opip-single-let-p sys:opt-controlled-diag sys:opt-dash sys:opt-err
syn keyword tl_keyword contained sys:orig-form sys:os-symbol sys:param-check sys:parse-compound-operand
syn keyword tl_keyword contained sys:parse-lambda-match-clause sys:parse-operand sys:pat-len sys:path-access
syn keyword tl_keyword contained sys:path-examine sys:path-simplify sys:path-split sys:path-test-mode
syn keyword tl_keyword contained sys:path-test-type sys:path-volume sys:pic-join-opt sys:placelet-1
syn keyword tl_keyword contained sys:print-backtrace sys:propagate-ancestor sys:propagate-perms sys:prune-missing-inits
syn keyword tl_keyword contained sys:qquote sys:quasi sys:quasilist sys:r-s-let-expander
syn keyword tl_keyword contained sys:reduce-constant sys:reduce-lisp sys:reduce-or sys:reg-expand-nongreedy
syn keyword tl_keyword contained sys:register-opcode sys:register-simple-accessor sys:repl sys:rewrite
syn keyword tl_keyword contained sys:rewrite-case sys:rplaca sys:rplacd sys:rslotset
syn keyword tl_keyword contained sys:rt-assert-fail sys:rt-defmacro sys:rt-defsymacro sys:rt-defun
syn keyword tl_keyword contained sys:rt-defv sys:rt-defvarl sys:rt-load-for sys:rt-pprof
syn keyword tl_keyword contained sys:rt-progv sys:rt-setjmp sys:safe-abs-path sys:safe-const-eval
syn keyword tl_keyword contained sys:safe-const-reduce sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor
syn keyword tl_keyword contained sys:set-symbol-value sys:setq sys:setqf sys:simplify-or
syn keyword tl_keyword contained sys:slot-types sys:small-op-p sys:small-op-to-sym sys:splice
syn keyword tl_keyword contained sys:static-slot-types sys:str-inaddr-net-impl sys:struct-lit sys:subst-preserve
syn keyword tl_keyword contained sys:switch sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander
syn keyword tl_keyword contained sys:system-symbol-p sys:top-fb sys:top-mb sys:top-vb
syn keyword tl_keyword contained sys:tr* sys:trace sys:trace-canonicalize-name sys:trace-enter
syn keyword tl_keyword contained sys:trace-leave sys:trace-redefine-check sys:transform-qquote sys:translate-hash-bang
syn keyword tl_keyword contained sys:tree-construct sys:trfm sys:true-const-p sys:txr-case-impl
syn keyword tl_keyword contained sys:typecase-expander sys:unquote sys:untrace sys:upenv
syn keyword tl_keyword contained sys:uw-block sys:uw-captured-block sys:uw-catch sys:uw-cont-copy
syn keyword tl_keyword contained sys:uw-eval sys:uw-expand sys:uw-fcall sys:uw-guard
syn keyword tl_keyword contained sys:uw-handle sys:uw-menv sys:var sys:var-pat-p
syn keyword tl_keyword contained sys:vars-check sys:vm-closure-desc sys:vm-closure-entry sys:vm-desc-bytecode
syn keyword tl_keyword contained sys:vm-desc-datavec sys:vm-desc-nlevels sys:vm-desc-nregs sys:vm-desc-symvec
syn keyword tl_keyword contained sys:vm-execute-toplevel sys:vm-make-desc sys:wdwrap sys:when-exprs-match
syn keyword tl_keyword contained sys:when-opt sys:with-disabled-debugging sys:with-dyn-lib-check syslog
syn keyword tl_keyword contained system-package t tab0 tab1
syn keyword tl_keyword contained tab2 tab3 tabdly tagbody
syn keyword tl_keyword contained tailp take take-until take-while
syn keyword tl_keyword contained tan tanh tap tb
syn keyword tl_keyword contained tc tcdrain tcflow tcflush
syn keyword tl_keyword contained tcgetattr tciflush tcioff tcioflush
syn keyword tl_keyword contained tcion tcoflush tcooff tcoon
syn keyword tl_keyword contained tcp-nodelay tcsadrain tcsaflush tcsanow
syn keyword tl_keyword contained tcsendbreak tcsetattr tentative-def-exists tenth
syn keyword tl_keyword contained test-clear test-clear-dirty test-dec test-dirty
syn keyword tl_keyword contained test-inc test-neq-set-indent-mode test-set test-set-indent-mode
syn keyword tl_keyword contained tf tgamma third throw
syn keyword tl_keyword contained throwf time time-fields-local time-fields-utc
syn keyword tl_keyword contained time-nsec time-parse time-parse-local time-parse-utc
syn keyword tl_keyword contained time-str-local time-str-utc time-string-local time-string-utc
syn keyword tl_keyword contained time-struct-local time-struct-utc time-t time-usec
syn keyword tl_keyword contained tmpfile tnode tnodep to
syn keyword tl_keyword contained tofloat tofloatz toint tointz
syn keyword tl_keyword contained tojson tok tok-str tok-where
syn keyword tl_keyword contained tokn tostop tostring tostringp
syn keyword tl_keyword contained touch tprint trace transpose
syn keyword tl_keyword contained tree tree-begin tree-bind tree-case
syn keyword tl_keyword contained tree-clear tree-count tree-del-min tree-del-min-node
syn keyword tl_keyword contained tree-delete tree-delete-node tree-delete-specific-node tree-find
syn keyword tl_keyword contained tree-insert tree-insert-node tree-lookup tree-lookup-node
syn keyword tl_keyword contained tree-min tree-min-node tree-next tree-peek
syn keyword tl_keyword contained tree-reset tree-root treep trie-add
syn keyword tl_keyword contained trie-compress trie-lookup-begin trie-lookup-feed-char trie-value-at
syn keyword tl_keyword contained trim-left trim-long-suffix trim-path-seps trim-right
syn keyword tl_keyword contained trim-short-suffix trim-str true trunc
syn keyword tl_keyword contained trunc-rem truncate-stream tuples tuples*
syn keyword tl_keyword contained txr-case txr-exe-path txr-if txr-parse
syn keyword tl_keyword contained txr-path txr-version txr-when typecase
syn keyword tl_keyword contained typedef typeof typep ubit
syn keyword tl_keyword contained uchar uid-t uint uint-buf
syn keyword tl_keyword contained uint-carray uint-ptr-t uint16 uint32
syn keyword tl_keyword contained uint64 uint8 uintmax-t ulong
syn keyword tl_keyword contained ulonglong umask umeth umethod
syn keyword tl_keyword contained uname unget-byte unget-char uni
syn keyword tl_keyword contained unintern union union-get union-in
syn keyword tl_keyword contained union-members union-out union-put uniq
syn keyword tl_keyword contained unique unless unquote unsetenv
syn keyword tl_keyword contained until until* untrace unuse-package
syn keyword tl_keyword contained unuse-sym unwind-protect upcase-str upd
syn keyword tl_keyword contained update uref url-decode url-encode
syn keyword tl_keyword contained use use-package use-sym use-sym-as
syn keyword tl_keyword contained user-package ushort usl usleep
syn keyword tl_keyword contained uslot utimes val vdiscard
syn keyword tl_keyword contained vec vec-carray vec-list vec-push
syn keyword tl_keyword contained vec-seq vec-set-length vecref vector
syn keyword tl_keyword contained vector-list vectorp veof veol
syn keyword tl_keyword contained veol2 verase vintr vkill
syn keyword tl_keyword contained vlnext vm-fun-p vmin void
syn keyword tl_keyword contained vquit vreprint vstart vstop
syn keyword tl_keyword contained vsusp vswtc vt0 vt1
syn keyword tl_keyword contained vtdly vtime vwerase w-continued
syn keyword tl_keyword contained w-coredump w-exitstatus w-ifcontinued w-ifexited
syn keyword tl_keyword contained w-ifsignaled w-ifstopped w-nohang w-stopsig
syn keyword tl_keyword contained w-termsig w-untraced wait wchar
syn keyword tl_keyword contained weave when when-match whena
syn keyword tl_keyword contained whenlet where while while*
syn keyword tl_keyword contained while-match while-match-case while-true-match-case whilet
syn keyword tl_keyword contained width width-check window-map window-mapdo
syn keyword tl_keyword contained window-mappend wint-t with-clobber-expander with-compilation-unit
syn keyword tl_keyword contained with-compile-opts with-delete-expander with-dyn-lib with-gensyms
syn keyword tl_keyword contained with-hash-iter with-in-buf-stream with-in-string-byte-stream with-in-string-stream
syn keyword tl_keyword contained with-objects with-out-buf-stream with-out-string-stream with-out-strlist-stream
syn keyword tl_keyword contained with-resources with-slots with-stream with-update-expander
syn keyword tl_keyword contained wrap wrap* wstr wstr-d
syn keyword tl_keyword contained wstr-s xcase y0 y1
syn keyword tl_keyword contained yield yield-from yn zap
syn keyword tl_keyword contained zarray zchar zero-fill zerop
syn keyword tl_keyword contained zip znew

syn keyword txr_keyword contained accept all and assert
syn keyword txr_keyword contained bind block call cases
syn keyword txr_keyword contained cat catch choose chr
syn keyword txr_keyword contained close coll collect data
syn keyword txr_keyword contained defex deffilter define do
syn keyword txr_keyword contained elif else empty end
syn keyword txr_keyword contained eof eol fail filter
syn keyword txr_keyword contained finally first flatten forget
syn keyword txr_keyword contained freeform fuzz gather if
syn keyword txr_keyword contained include last line load
syn keyword txr_keyword contained local maybe merge mod
syn keyword txr_keyword contained modlast name next none
syn keyword txr_keyword contained or output push rebind
syn keyword txr_keyword contained rep repeat require set
syn keyword txr_keyword contained single skip some text
syn keyword txr_keyword contained throw trailer try until
syn keyword txr_keyword contained var
syn match txr_at "\(@[ \t]*\)" nextgroup=txr_error,txr_atat,txr_comment,txr_contin,txr_char,txr_error,txr_char,txr_regdir,txr_variable,txr_splicevar,txr_metanum,txr_directive,txr_bracevar,txr_bracket
syn match txr_error "[*]\?[\t ]*." contained
syn match txr_atat "@" contained
syn match txr_comment "[#;].*" contained
syn match txr_contin "\\$" contained
syn match txr_char "\\." contained
syn match txr_error "\\[xo]" contained
syn match txr_char "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_char "\\[0-7]\+;\?" contained
syn match txr_regdir "/\(\\/\|[^/]\|\\\n\)*/" contained
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_splicevar "[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "\(@[ \t]*\)\+[0-9]\+" contained
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match tl_error "#[^HSRTN]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+" contained
syn match txr_chr "#\\o[0-7]\+" contained
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]" contained
syn match txr_chr "#\\[A-Za-z_0-9]\+" contained
syn match txr_ncomment ";.*" contained

syn match txr_hashbang "\%^#!.*"

syn match txr_qat "\(@[ \t]*\)" nextgroup=txr_splicevar,txr_metanum,txr_qbracevar,txr_list,txr_bracket,txr_escat,txr_stresc,txr_numesc,txr_badesc contained
syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match txr_braced_ident "\(#\?:\)\?[[A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "\(#\?:\)\?[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*" contained
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9,]\+" contains=txr_xnum,txr_bnum,txr_onum contained
syn match txr_xnum "#x[+\-]\?\([0-9A-Fa-f][,0-9A-Fa-f]*[0-9A-Fa-f]\|[0-9A-Fa-f]\)" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?\([0-7][,0-7]*[0-7]\|[0-7]\)" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?\([01][,01]*[01]\|[01]\)" containedin=txr_pnum contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)" contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([eE][+\-]\?[0-9]\+\)\?" contained
syn match txr_num "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([eE][+\-]\?[0-9]\+\)" contained
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)\?[.]\([0-9][,0-9]*[0-9]\|[0-9]\)\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)" contained
syn match txr_badnum "[+\-]\?\([0-9][,0-9]*[0-9]\|[0-9]\)[.]\?\([A-DF-Za-dfz_!$%&*+\-<=>?\\_~^/#]\|[eE][^+\-0-9]\|[eE][+/-]\?$\|[eE][+\-][^0-9]\)" contained
syn match tl_ident "#\?:" contained
syn match tl_splice "[ \t,]\|,[*]" contained

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_qbracevar contained matchgroup=Delimiter start="[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_directive contained matchgroup=Delimiter start="(" matchgroup=Delimiter end=")" contains=txr_keyword,txr_string,txr_list,txr_bracket,txr_quasilit,txr_num,txr_pnum,txr_badnum,tl_ident,tl_regex,txr_string,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_list contained matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_bracket contained matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_string contained start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit contained start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_qat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex contained start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex contained start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf contained matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign contained matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign contained matchgroup=Comment start="#;[ \t',^@]*\(#[HSRTNJ]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*{" matchgroup=Comment end="}" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_json contained matchgroup=Comment start="#;[ \t',^@]*#J[~^]*(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_interior
syn region txr_ign_interior contained matchgroup=Comment start="{" matchgroup=Comment end="}" contains=txr_ign_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom contained matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign,txr_ign_json,txr_list,txr_bracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,tl_error,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray contained matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash contained matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_qat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link tl_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_interior Comment
hi def link txr_ign Comment
hi def link txr_ign_json Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,close-lazy-streams,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,compiler-let,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,define-struct-prelude,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,ensure,enum,enumed,equot,etypecase,eval-only,expander-let,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lflow,lnew*,load-for,load-time,loand,lop,lopf,lopip,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-cond,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,opf,pack,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,progv,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,setjmp,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-mac-let-outer,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:cached-sort-body,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:ign-notfound,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:meth-lambda,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:when-opt,sys:with-disabled-debugging,tagbody,tap,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-compile-opts,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:@\;\;\;,:@\;\;,:@\;
